# page_fault.S File Reference

Go to the source code of this file.

## Functions

globl _vmm_pageFault text code32 esp | movl (%esp)

## Variables

globl _vmm_pageFault text code32 | _vmm_pageFault
globl _vmm_pageFault text code32 esp eax pushl ebx ebx pushl ecx pushl edx push ebx push eax movl | cr2
globl _vmm_pageFault text code32 esp eax pushl ebx ebx pushl ecx pushl edx push ebx push eax movl eax pushl eax sti call vmm_pageFault addl | xC

## Function Documentation

globl _vmm_pageFault text code32 esp movl | ( | % | esp | ) |

## Variable Documentation

globl _vmm_pageFault text code32 _vmm_pageFault

Definition at line 38 of file page_fault.S.

Referenced by idt_init(), and vmm_pagingInit().

globl _vmm_pageFault text code32 esp eax pushl ebx ebx pushl ecx pushl edx push ebx push eax movl cr2

Definition at line 46 of file page_fault.S.

globl _vmm_pageFault text code32 esp eax pushl ebx ebx pushl ecx pushl edx push ebx push eax movl eax pushl eax sti call vmm_pageFault addl xC

Definition at line 46 of file page_fault.S.